Subject: bug#5953: closed (Re: bug#5953: 23.1.95; objc-mode doesn't fontify Objective-C 2.0 keywords @syntesize and @property correctly)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 26 May 2020 20:22:02 +0000

Your bug report

#5953: 23.1.95; objc-mode doesn't fontify Objective-C 2.0 keywords @syntesize and @property correctly

which was filed against the emacs,cc-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5953: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5953
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5953: 23.1.95; objc-mode doesn't fontify Objective-C 2.0 keywords @syntesize and @property correctly
From: Alan Mackenzie <[email-masked]>
To: Richard Stallman <[email-masked]>, [email-masked], Dmitry Gutov <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 26 May 2020 20:21:16 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, all.

On Tue, May 26, 2020 at 18:31:05 +0000, Alan Mackenzie wrote:
> On Tue, May 26, 2020 at 13:23:36 +0300, Dmitry Gutov wrote:
> > On 26.05.2020 07:11, Richard Stallman wrote:
> > > This patch is trivial.  Only 7 lines are changed, and the change
> > > is directly controlled by the job to be done, so it has no
> > > creativing.

> OK, thanks for that.

> > > IANAL, but as I understand US copyright law, there is nothing
> > > copyrightable in this change.

> That is good to know.

> > *And* the author has signed the copyright assignment papers long ago.

> That is also very good to know.

> > Good note about copyrightability, though.

> And if you're still around, Leo, thanks very much for the patch!  I'll
> commit it in the next day or so.

I've committed the patch, and with this post, I'm closing the bug.  Many
thanks to everybody who's been so patient.

> -- 
> Alan Mackenzie (Nuremberg, Germany).

Subject: 23.1.95; objc-mode doesn't fontify Objective-C 2.0 keywords @syntesize and @property correctly
From: Aleksandr Skobelev <[email-masked]>
To: [email-masked]
Date: Thu, 15 Apr 2010 19:00:08 +0400
List-Id: <debbugs-submit.debbugs.gnu.org>

objc-mode doesn't know anything about the new Objective-C 2.0
keywords like @property and @syntesize, for example.